Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Class CIBAttributeNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.mfwk.cib.CIBException
                  com.sun.mfwk.cib.CIBAttributeNotFoundException

All Implemented Interfaces:
  java.io.Serializable

public class CIBAttributeNotFoundException
extends CIBException

Throws when a attribute is not found by the provider

See Also:
  Serialized Form

Constructor Summary
`CIBAttributeNotFoundException(java.lang.String providerClassName, java.lang.String attributeName)` Contructs a new CIBAttributeNotFoundException
`CIBAttributeNotFoundException(java.lang.String message, java.lang.String providerClassName, java.lang.String attributeName)` Contructs a new CIBAttributeNotFoundException with the detailed message
`CIBAttributeNotFoundException(java.lang.String message, java.lang.String providerClassName, java.lang.String attributeName, java.lang.Throwable cause)` Constructs a new CIBAttributeNotFoundException with the detailed message and the nested throwable
`CIBAttributeNotFoundException(java.lang.String providerClassName, java.lang.String attributeName, java.lang.Throwable cause)` Constructs a new CIBAttributeNotFoundException with the detailed message and the nested throwable

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CIBAttributeNotFoundException

    public CIBAttributeNotFoundException(java.lang.String providerClassName,
                                         java.lang.String attributeName)

  Contructs a new CIBAttributeNotFoundException

Parameters:
  `providerClassName` - String
  `attributeName` - String

### CIBAttributeNotFoundException

    public CIBAttributeNotFoundException(java.lang.String message,
                                         java.lang.String providerClassName,
                                         java.lang.String attributeName)

  Contructs a new CIBAttributeNotFoundException with the detailed message

Parameters:
  `message` - String
  `providerClassName` - String
  `attributeName` - String

### CIBAttributeNotFoundException

    public CIBAttributeNotFoundException(java.lang.String providerClassName,
                                         java.lang.String attributeName,
                                         java.lang.Throwable cause)

  Constructs a new CIBAttributeNotFoundException with the detailed message and the nested throwable

Parameters:
  `providerClassName` - String
  `attributeName` - String
  `cause` - Throwable

### CIBAttributeNotFoundException

    public CIBAttributeNotFoundException(java.lang.String message,
                                         java.lang.String providerClassName,
                                         java.lang.String attributeName,
                                         java.lang.Throwable cause)

  Constructs a new CIBAttributeNotFoundException with the detailed message and the nested throwable

Parameters:
  `message` - String
  `providerClassName` - String
  `attributeName` - String
  `cause` - Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD